================================================================================
        S5BH serials AST2500(A2) BMC FW Release v4.69.06 (Only for S5Bx/S5Sx)
================================================================================
Version: 4.69.06
Release Date: 2021.06.17

AMI Subversion Revision: AMI SPX RR11.5
Code Based: 4.80.00
DMTF Redfish Specification version:1.5.0

[Utility]:
1. Yafuflash2 (version 4.16.21_01)
2. MIB version 1.12

[Firmware Images]:
1. s5bxv4.69.06_rom.ima with checksum          :	EA0529EA
2. s5bxv4.69.06_rom.ima with MD5 checksum      :	11f92d83b5e6493a6afcbebf26e282e6          
3. s5bxv4.69.06_rom.ima_enc with MD5 checksum  :	b3e1bd7b26107137d75883da7cb75387            

[Fan Table]
Version:
S5Bx:
SKU0~2,80~82: v12
SKU3~4,83~84: v07
SKU5~7,85~87: v07
SKU8~9: v03

[Change/Add]: 
N/A

[Bug Fixed]:
1. [BMC] Modify AMIVirtualDeviceSetStatus Function, let ipmi command can disable virtual USB Device.
2. [BMC] Modify the event parse message of IERR Log.
3. [BMC] Fixed SNMP bug for preserve update.
4. [BMC] Enhanced Temp_Inlet sensor reading function.

[Known Issue]: 
N/A
	
[Notice]:
	1. Update BMC FW via command line:
		Refer to readme.txt
	2. Update BMC FW via Web UI:
		a) Please select s5bxvXX.YY.ZZ_rom.ima_enc as image file and doesn't upload Signimage key.
	3. login account: 
		a) IPMI access account for WEBGUI and IPMITOOL.
		username: admin
		password: cmb9.admin
		b) According to the CA Law please change the default password(cmb9.admin) to your own password when you first login.
	4. Please canceling preserve all configuration or only preserve 4 options (IPMI/Network/Authentication/SNMP) before upgrading this version BMC (if FW version is less v4.55.06).
	   Because of this version's BMC upgrade Redfish to 1.5 (i.e. update lots of ipmi lib part for Redfish ), 
	   we suggest canceling preserve all configuration or only preserve 4 options (IPMI/Network/Authentication/SNMP) before upgrading this version BMC to avoid unexpected defect occurred.
	5. Not support GPT image file when using the remote image function. 
	6. Please clear browser cache and cookies after finishing upgrades.
	7. Not support BMC FW downgrade with preservation.
	8. Please first update BMC then update BIOS with preserve function if need updates BMC and BIOS with preserve bios settings. 
	9. BMC 4.27.06 SSH login function error, please skip this version if need use SSH login.
	10. About the Opensource please refer OpenSourceStatement.txt and if the user has any Open Source issue, please contact the HV window for further information. 
	
================================================================================
        S5BH serials AST2500(A2) BMC FW Release v4.68.06 (Only for S5Bx/S5Sx)
================================================================================
Version: 4.68.06
Release Date: 2020.12.15

AMI Subversion Revision: AMI SPX RR11.5
Code Based: 4.80.00
DMTF Redfish Specification version:1.5.0

[Utility]:
1. Yafuflash2 (version 4.16.21_01)
2. MIB version 1.12

[Firmware Images]:
1. s5bxv4.68.06_rom.ima with checksum          :	E9D18842
2. s5bxv4.68.06_rom.ima with MD5 checksum      :	c2979600473ebf449a7749d41b61bbc5          
3. s5bxv4.68.06_rom.ima_enc with MD5 checksum  :	920cf32302779282ab7fe1b033bf46ca            

[Fan Table]
Version:
S5Bx:
SKU0~2,80~82: v12
SKU3~4,83~84: v07
SKU5~7,85~87: v07
SKU8~9: v03

[Change/Add]: 
    NA

[Bug Fixed]:
	1. BMC Function : 
		(1) SMASH SOLSSH will timeout during using.
		(2) SNMP Community string can be set as Null with Restful API.
	2. Fixed Etracks :		
		(1) BMC WebUI - Etrack #312244 Use WebUI to upgrade BIOS FW, the upgrade process bar will go forward and backward.
		(2) Redfish - Etrack #337861 Fail to POST/redfish/v1/Chassis/Self/Actions/Chassis.Reset , will occur ''400 Bad Request, A timeout occurred while processing the requeset. No response available.'' error.
		(3) Redfish - Etrack #338975 Fail to POST /redfish/v1/Systems/Self/Actions/ComputerSystem.Reset will occur timeout error message.
		(4) Redfish - Etrack #338949 Fail to POST /redfish/v1/Chassis/Self/Actions/Chassis.Reset will occur Timeout error message.
		(5) Redfish - Etrack #338174 Redfish will response error message after POST /redfish/v1/Managers/Self/Actions/Manager.Reset via redfish.
	
[Known issue]: 
	NA
	
[Notice]:
	1. Update BMC FW via command line:
		Refer to readme.txt
	2. Update BMC FW via Web UI:
		a) Please select s5bxvXX.YY.ZZ_rom.ima_enc as image file and doesn't upload Signimage key.
	3. login account: 
		a) IPMI access account for WEBGUI and IPMITOOL.
		username: admin
		password: cmb9.admin
		b) According to the CA Law please change the default password(cmb9.admin) to your own password when you first login.
	4. Please canceling preserve all configuration or only preserve 4 options (IPMI/Network/Authentication/SNMP) before upgrading this version BMC (if FW version is less v4.55.06).
	   Because of this version's BMC upgrade Redfish to 1.5 (i.e. update lots of ipmi lib part for Redfish ), 
	   we suggest canceling preserve all configuration or only preserve 4 options (IPMI/Network/Authentication/SNMP) before upgrading this version BMC to avoid unexpected defect occurred.
	5. Not support GPT image file when using the remote image function. 
	6. Please clear browser cache and cookies after finishing upgrades.
	7. Not support BMC FW downgrade with preservation.
	8. Please first update BMC then update BIOS with preserve function if need updates BMC and BIOS with preserve bios settings. 
	9. BMC 4.27.06 SSH login function error, please skip this version if need use SSH login.
	10. About the Opensource please refer OpenSourceStatement.txt and if the user has any Open Source issue, please contact the HV window for further information. 
	
================================================================================
        S5BH serials AST2500(A2) BMC FW Release v4.67.06 (Only for S5Bx/S5Sx)
================================================================================
Version: 4.67.06
Release Date: 2020.10.06

AMI Subversion Revision: AMI SPX RR11.5
Code Based: 4.80.00
DMTF Redfish Specification version:1.5.0

[Utility]:
1. Yafuflash2 (version 4.16.21_01)
2. MIB version 1.12

[Firmware Images]:
1. s5bxv4.67.06_rom.ima with checksum          :	E9CB95FB
2. s5bxv4.67.06_rom.ima with MD5 checksum      :	6c334d59f573769476b83264d8692f9a          
3. s5bxv4.67.06_rom.ima_enc with MD5 checksum  :	9ba2892976271627bfb7ecc6a94c0d5b            

[Fan Table]
Version:
S5Bx:
SKU0~2,80~82: v12
SKU3~4,83~84: v07
SKU5~7,85~87: v07
SKU8~9: v03

[Change/Add]: 
S5Bx:	
	1. [Add] Redfish - HV new requirement - GET Virtual Device informations(redfish/v1/Systems/Self/VDR)
	2. [Add] BMC - HV new requirement - Setting NTP Server Time.
        (1) Setting up NTP page.
	3. [Add] BMC - IPMI Oem Command - Check if support CA Law Service.(raw 0x36 0x51)

[Bug Fixed]:
    1. Redfish Function - CPLD version won't change immediate after flashed.
	2. Fixed Etracks :		
        (1) BMC WebUI - Etrack #312167 The log server will record some strange events after enable ''Audit Log'' and select remote system log via WEBUI.
        (2) BMC WebUI - Etrack #307367 WebUI generate log ''December 1969 - 65535 OEM Record FF'' after do some redfish operation and power cycle system.
	
[Known issue]: 
	NA
	
[Notice]:
	1. Update BMC FW via command line:
		Refer to readme.txt
	2. Update BMC FW via Web UI:
		a) Please select s5bxvXX.YY.ZZ_rom.ima_enc as image file and doesn't upload Signimage key.
	3. login account: 
		a) IPMI access account for WEBGUI and IPMITOOL.
		username: admin
		password: cmb9.admin
		b) According to the CA Law please change the default password(cmb9.admin) to your own password when you first login.
	4. Please canceling preserve all configuration or only preserve 4 options (IPMI/Network/Authentication/SNMP) before upgrading this version BMC (if FW version is less v4.55.06).
	   Because of this version's BMC upgrade Redfish to 1.5 (i.e. update lots of ipmi lib part for Redfish ), 
	   we suggest canceling preserve all configuration or only preserve 4 options (IPMI/Network/Authentication/SNMP) before upgrading this version BMC to avoid unexpected defect occurred.
	5. Not support GPT image file when using the remote image function. 
	6. Please clear browser cache and cookies after finishing upgrades.
	7. Not support BMC FW downgrade with preservation.
	8. Please first update BMC then update BIOS with preserve function if need updates BMC and BIOS with preserve bios settings. 
	9. BMC 4.27.06 SSH login function error, please skip this version if need use SSH login.
	10. About the Opensource please refer OpenSourceStatement.txt and if the user has any Open Source issue, please contact the HV window for further information.

==========================================================================
        S5BH serials AST2500(A2) BMC FW Release v4.66.06 (Only for S5Bx/S5Sx)
==========================================================================
Version: 4.66.06
Release Date: 2020.05.15

AMI Subversion Revision: AMI SPX RR11.5
Code Based: 4.80.00
DMTF Redfish Specification version:1.5.0

[Utility]:
1. Yafuflash2 (version 4.16.21_01)
2. MIB version 1.12

[Firmware Images]:
1. s5bxv4.66.06_rom.ima with checksum          :	EA45A807
2. s5bxv4.66.06_rom.ima with MD5 checksum      :	e93db6b60c23da75cff26a0a55861566              
3. s5bxv4.66.06_rom.ima_enc with MD5 checksum  :	1d23797e97376780fb8068872bbfb9ad                 

[Fan Table]
Version:
S5Bx:
SKU0~2,80~82: v12
SKU3~4,83~84: v07
SKU5~7,85~87: v07
SKU8~9: v03

[Change/Add]: 
S5Bx:	
	n/a
	   
[Bug Fixed]:
	1. SEL Full : Fixed the sensor reading value of Eventlog will changed to "SEL Full" while the Log Policy is Circular.
	2. Fixed Etracks :		
		(1) BMC WebUI - Etrack #308259 The BMC WebUI would record ''Error in getting RAID Logical Information'' and sometimes can not get any info when access logical/physical device information page.
		(2) BMC WebUI - Etrack #304810 ''View the Physical Information for selected Virtual Drive'' in Logical Device Informaiton is empty.
		(3) BMC WebUI - Etrack #285293 Build some different RAID type in BIOS, the RAID type of logical device Information in BMC webUI and redfish are incorrect.
		(4) BMC WebUI - Etrack #246942 Logical Device Information Page can not display Logical informatiom and will display error message after Build RAID0 on the every HDDs.
		(5) BMC WebUI - Etrack #312168 Some event content will display username of BMC debug console after enable ''Audit Log'' and select remote system log via WEBUI.
		(6) BMC WebUI - Etrack #307785 The Event Options select to Sensor Events but the check box table of 'Sensor Events' did not show up under Event Filter Configuration via WEBUI.
		(7) BMC WebUI - Etrack #288442 When save the setting with AD secret username string is incorrect and secret password is empty, WebUI won't popup error messages at secret username column.		
		(8) BMC WebUI - Etrack #295273 BMC WEBUI typo for ''Help''(?) page.
		(9) BMC WebUI - Etrack #295275 BMC on Help information page not all end of the sentence have a dot.
		(10) BMC function - Etrack #319541 BMC hardware watchdog timeout reset would be triggerred in SEL when system idle on ESXi 6.0.
		(11) BMC function - Etrack #312307 BMC web can not login after POST an incorrect "TLSParam" parameter.
		(12) Redfish - Etrack 305863 Redfish RtpVersion should be 1.5.b.
		(13) Redfish - Etrack 320842 Redfish default account should be changed password first after BMC restore factory default.
		(14) Other - Etrack 320667 The error message in BMC updated script for Windows is Linux commend.
	
[Known issue]: 
	n/a
	
[Notice]:
	1. Update BMC FW via command line:
		Refer to readme.txt
	2. Update BMC FW via Web UI:
		a) Please select s5bxvXX.YY.ZZ_rom.ima_enc as image file and doesn't upload Signimage key.
	3. login account: 
		a) IPMI access account for WEBGUI and IPMITOOL.
		username: admin
		password: cmb9.admin
	4. Please canceling preserve all configuration or only preserve 4 options (IPMI/Network/Authentication/SNMP) before upgrading this version BMC (if FW version is less v4.55.06).
	   Because of this version's BMC upgrade Redfish to 1.5 (i.e. update lots of ipmi lib part for Redfish ), 
	   we suggest canceling preserve all configuration or only preserve 4 options (IPMI/Network/Authentication/SNMP) before upgrading this version BMC to avoid unexpected defect occurred.
	5. Not support GPT image file when using the remote image function. 
	6. Please clear browser cache and cookies after finishing upgrades.
	7. Not support BMC FW downgrade with preservation.
	8. Please first update BMC then update BIOS with preserve function if need updates BMC and BIOS with preserve bios settings. 
	9. BMC 4.27.06 SSH login function error, please skip this version if need use SSH login.
	10. About the Opensource please refer OpenSourceStatement.txt and if the user has any Open Source issue, please contact the HV window for further information. 
	
==========================================================================
        S5BH serials AST2500(A2) BMC FW Release v4.65.06 (Only for S5Bx/S5Sx)
==========================================================================
Version: 4.65.06
Release Date: 2020.01.21

AMI Subversion Revision: AMI SPX RR11.5
Code Based: 4.80.00
DMTF Redfish Specification version:1.5.0

[Utility]:
1. Yafuflash2 (version 4.16.21_01)
2. MIB version 1.12

[Firmware Images]:
1. s5bxv4.65.06_rom.ima with checksum          :	EA461B5D
2. s5bxv4.65.06_rom.ima with MD5 checksum      :	728029ebde48906880e358b5d45c097f            
3. s5bxv4.65.06_rom.ima_enc with MD5 checksum  :	a4d027183f41b39d85be4a9a0b408315               

[Fan Table]
Version:
S5Bx:
SKU0~2,80~82: v12
SKU3~4,83~84: v07
SKU5~7,85~87: v07
SKU8~9: v03

[Change/Add]: 
S5Bx:	
	1. BMC function - Add TLS protocol settings via IPMI/Redfish/Web GUI (New Function Request).
	2. BMC function - Add audit log sync to the system log when a user subscribes to the system log (New Function Request).
	3. BMC function - Remove login/logout from SEL, and record login/logout event in Audit log (New Function Request).
	4. BMC function - Add audit log can be exportable (New Function Request).
	5. Redfish - Add Redfish command support equivalent to IPMI command (New Function Request).
	   i.  Status LED in Redfish support.
	   ii. HBA port, WWN & WWPN in Redfish support.
	   iii.CPU present.
	   iv. Manufacture ID, Product ID. 
	   v.  Server FRUs.
	   vi. Get & Set Boot Options.
	   
[Bug Fixed]:
	1. BMC WebUI - #306773 The memory size calculation unit is show MB on Web GUI does not match with Redfish(MiB).
	2. BMC WebUI - #283952 #264205 #264176 #276012 #304801 Invalid IPv6 setting issues on Web GUI.
	3. BMC WebUI - #306557 There is no 'I forgot my password' link in web GUI login page.
	4. BMC function - #299118 SNMP settings can not restore to default value after restoring factory default.
	5. BMC function - #304951 After delete user account, the events about deleted account will add 'Account : xxxx ( UID)' at the end of the string.
	6. BMC function - #307012 Can not login web GUI with user created via IPMI inband by user name length is 16.
	7. BMC Redfish - #290456 Can not GET /redfish/v1/AccountService/Accounts/4.

[Known issue]: 
	n/a
	
[Notice]:
	1. Update BMC FW via command line:
		Refer to readme.txt
	2. Update BMC FW via Web UI:
		a) Please select s5bxvXX.YY.ZZ_rom.ima_enc as image file and doesn't upload Signimage key.
	3. login account: 
		a) IPMI access account for WEBGUI and IPMITOOL.
		username: admin
		password: cmb9.admin
	4. Please canceling preserve all configuration or only preserve 4 options (IPMI/Network/Authentication/SNMP) before upgrading this version BMC (if FW version is less v4.55.06).
	   Because of this version's BMC upgrade Redfish to 1.5 (i.e. update lots of ipmi lib part for Redfish ), 
	   we suggest canceling preserve all configuration or only preserve 4 options (IPMI/Network/Authentication/SNMP) before upgrading this version BMC to avoid unexpected defect occurred.
	5. Not support GPT image file when using the remote image function. 
	6. Please clear browser cache and cookies after finishing upgrades.
	7. Not support BMC FW downgrade with preservation.
	8. Please first update BMC then update BIOS with preserve function if need updates BMC and BIOS with preserve bios settings. 
	9. BMC 4.27.06 SSH login function error, please skip this version if need use SSH login.

==========================================================================
        S5BH serials AST2500(A2) BMC FW Release v4.64.06 (Only for S5Bx/S5Sx)
==========================================================================
Version: 4.64.06
Release Date: 2019.12.12

AMI Subversion Revision: AMI SPX RR11.5
Redfish Version:1.5.0

[Utility]:
1. Yafuflash2 (version 4.16.21_01)
2. MIB version 1.12

[Firmware Images]:
1. s5bxv4.64.06_rom.ima with checksum          :	EA5CF651
2. s5bxv4.64.06_rom.ima with MD5 checksum      :	ae8513824a64d4ec7de2d6a64e1ee3bc              
3. s5bxv4.64.06_rom.ima_enc with MD5 checksum  :	5f5ca66c36e0ca7ef89ef14d15bc0abe                 

[Fan Table]
Version:
S5Bx:
SKU0~2,80~82: v12
SKU3~4,83~84: v07
SKU5~7,85~87: v07
SKU8~9: v03

[Change/Add]: 
S5Bx:	
	1. BMC function - Add the first login to enhance password security features and protect user information from potential hackers (for the CA Law SB-327 solution).
	2. Change OOB script to update BMC for the CA Law SB-327 solution, need extra input user name and password. (i.e. linux_oob-pc.sh <BMC_IP> <Username> <Password>). 
	
[Bug Fixed]:
	1. BMC WebUI - #304510 #304636 The SSD state mismatch with MSM in Physical Device Information under WEBUI.
	2. BMC function - #304885 #304876 The BMC event log is different with expected result after modify or create User under WEBUI.
	3. BMC function - #305718 Will not force users to change password when first login (RESTful api).
	4. BMC function - #304932 Can not set IP address source to static via IPMI commnad "ipmitool lan set 1 ipsrc static". It will show "LAN Parameter Data does not match! Write may have failed.

[Known issue]: 
	n/a
	
[Notice]:
	1. Update BMC FW via command line:
		Refer to readme.txt
	2. Update BMC FW via Web UI:
		a) Please select s5bxvXX.YY.ZZ_rom.ima_enc as image file and doesn't upload Signimage key.
	3. login account: 
		a) IPMI access account for WEBGUI and IPMITOOL.
		username: admin
		password: cmb9.admin
	4. Please canceling preserve all configuration before upgrading this version BMC (if FW version is less v4.55.06).
	   Because of this version's BMC upgrade Redfish to 1.5 (i.e. update lots of ipmi lib part for Redfish ), 
	   we suggest canceling preserve all configuration before upgrading this version BMC to avoid unexpected defect occurred.
	5. Not support GPT image file when using the remote image function. 
	6. Please clear browser cache and cookies after finishing upgrades.
	7. Not support BMC FW downgrade with preservation.
	8. Please first update BMC then update BIOS with preserve function if need updates BMC and BIOS with preserve bios settings. 
	9. BMC 4.27.06 SSH login function error, please skip this version if need use SSH login.
	
==========================================================================
        S5B serials AST2500(A2) BMC FW Release v4.63.06 (Only for S5Bx/S5Sx)
==========================================================================
Version: 4.63.06
Release Date: 2019.11.04

AMI Subversion Revision: AMI SPX RR11.5
Redfish Version:1.5.0

[Utility]:
1. Yafuflash2 (version 4.16.21_01)
2. MIB version 1.12

[Firmware Images]:
1. s5bxv4.63.06_rom.ima with checksum          :	EA9C6EB2
2. s5bxv4.63.06_rom.ima with MD5 checksum      :	6363e93f07936a52298e443ac2d04bbb         
3. s5bxv4.63.06_rom.ima_enc with MD5 checksum  :	96406c08823670f6379c0b155247f596            

[Fan Table]
Version:
S5Bx:
SKU0~2,80~82: v12
SKU3~4,83~84: v07
SKU5~7,85~87: v07
SKU8~9: v03

[Change/Add]: 
S5Bx:	
	1. BMC function - Add T4 GPU sensor temperature reading. (S5BH, S5BVH)
	2. BMC function - Update BMC RAID library to MR7.10 (WEB GUI Raid management)
	3. BMC Sensor threshold - Modified Volt_P3V_BAT threshold LCT 2.52->2.205 UCT 3.591->3.507.
	4. BMC function - Support Radius login via Windows Server with NPS. (HV new function)
	5. BMC function - Support "TLS1.0 and Higher/TLS1.2 only" enable/disable via IPMI OEM. (HV new function)
	6. Redfish - Add monitor task to monitor Redfish server to check whether it is normal (restart Redfish server).
	7. Redfish - Add Redfish ready flag to make sure all functions are ready (approximately 5 ~ 6 minutes). After BMC reset, Redfish will set a flag to make sure all Redfish functions are ready, or Redfish will deny any access till ready and then remove this flag.
	
[Bug Fixed]:
	1. BMC function - #281520 Can not login WebUI after in-band and upgrade BMC(preserve configuration).
	2. BMC function - Can not view Physical Device Information for selected Virtual Drive after creating virtual device.
	3. BMC function - Yafuflash2 in-band and out-band need add -psel option to preserve sel log.
	4. Redfish -   #294336 #292791 Use command "$expand=*" will cause memory leak lead to Redfish crash .
	5. Redfish -   Redfish can not get flashing progress percentage when updating BMC.
	6. BMC WebUI - #262274 Undo Prepare for Removal buttom pic is different.
	7. BMC WebUI - #291816 The ''User Management'' help info has some typo or lack dot. 
	8. BMC WebUI - #276001 he pop-up error message information at WebUI is not same as test case procedures. pop-up message : Please input a valid IP address Manual Test Case : Invalid IPv4/IPv6 IP Address
	9. BMC WebUI - #288510 When save the setting with AD secret username string length is ''65'', WebUI won't show error
	10.BMC WebUI - #283130 We find some typos and need to add dot on ''Help''(?) page in BMC WebUI.
	11.BMC WebUI - #282103 BMC on Help information page not all end of the sentence have a dot.
	12.BMC WebUI - #290689 The item name ''View SSL certificate'' which belong SSL Settings should be using uppercase 
	13.BMC WebUI - #290501 The item name ''Active Directory Settings'' which belong External User Settings should be using
	14.BMC WebUI - #282080 BMC WEBUI typo for ''Help''(?) page.  
	15.BMC WebUI - #284986 Should add a blank between here. and A on "LAN Destinations" page of BMC Web UI  
	16.BMC WebUI - #280641 The time unit of ''Upload SSL certificate time'' page ''GM'' lack ''T'' that is inconsistent with ''View SSL certificate time'' page ''GMT''. (Same as #265682)

[Known issue]: 
	n/a	
	
[Notice]:
	1. Update BMC FW via command line:
		Refer to readme.txt
	2. Update BMC FW via Web UI:
		a) Please select s5bxvXX.YY.ZZ_rom.ima_enc as image file and doesn't upload Signimage key.
	3. login account: 
		a) IPMI access account for WEBGUI and IPMITOOL.
		username: admin
		password: cmb9.admin
	4. Please canceling preserve all configuration before upgrading this version BMC (if FW version is less v4.55.06).
	   Because of this version's BMC upgrade Redfish to 1.5 (i.e. update lots of ipmi lib part for Redfish ), 
	   we suggest canceling preserve all configuration before upgrading this version BMC to avoid unexpected defect occurred.
	5. Not support GPT image file when using the remote image function. 
	6. Please clear browser cache and cookies after finishing upgrades.
	7. Not support BMC FW downgrade with preservation.
	8. Please first update BMC then update BIOS with preserve function if need updates BMC and BIOS with preserve bios settings. 
	9. BMC 4.27.06 SSH login function error, please skip this version if need use SSH login.

==========================================================================
        S5B serials AST2500(A2) BMC FW Release v4.62.06 (Only for S5Bx/S5Sx)
==========================================================================
Version: 4.62.06
Release Date: 2019.07.18

AMI Subversion Revision: AMI SPX RR11.5
Redfish Version:1.5.a

[Utility]:
1. Yafuflash2 (version 4.16.21_01)
2. MIB version 1.10

[Firmware Images]:
1. s5bxv4.62.06_rom.ima with checksum          :	EB83916D
2. s5bxv4.62.06_rom.ima with MD5 checksum      :	8ef409ed6338e0b0dabe68d1e5ecc402         
3. s5bxv4.62.06_rom.ima_enc with MD5 checksum  :	830ef366638cf7303b2efbf638944d92            

[Fan Table]
Version:
S5Bx:
SKU0~2: v12
SKU3~4: v07
SKU5~7: v07
SKU8~9: v03

[Change/Add]: 
S5Bx:	
	1. BMC update - Remove check BIOS ROM ID, so this version BMC can update BIOS without check ROM ID. 
	2. BMC Web GUI - #282355 change alert message show that it needs 3 min for waiting BMC ready after flash BMC.
	3. Redfish - Add monitor task to monitor redfish server to check whether it is normal.
	4. Redfish - Add ipmi power on/off/reset/Cycle from out band record in audit log.
	5. Redfish - Add sync machanism to avoid BIOS start but redfish not ready (empty collection problem).
	6. BMC function - Remove power saving mode function.

[Bug Fixed]:
	1. Redfish - #286850 Redfish not allow password contains colon.
	2. Redfish - #286848 LED blink status not change in redfidh (IndicatorLED).
	3. Redfish - #285141 Chassis serial number blank error should be match.
	4. Redfish - #281976 The response of /redfish/v1/UpdateService/FirmwareInventory/{FirmwareInventory_instance} data is null.
	5. Redfish - #286800 The BMC model name display 'AST2500(A2)' in WebUI but show 'AST2500' in redfish (URI: /redfish/v1/Managers/Self).
	6. BMC function - #283161 Unable to connect floppy image via WebUI Media Redirection.
	7. BMC pam authentication - Using REDFISH or WEB login via LDAP, AD, it will establish a connection and not close. After numerous logins, it will cause the connection to overflow and memory leak.	
	
[Known issue]: 
	1. LinkStatus should not turn to "up" and SignalDetected should not turn to "true" after un-plug LAN cable.
	2. GET /redfish/v1/Systems/Self/EthernetInterfaces/[NIC_ID]/VLANs member always empty (have set LAN card VLAN.).
	
[Notice]:
	1. Update BMC FW via command line:
		Refer to readme.txt
	2. Update BMC FW via Web UI:
		a) Please select s5bxvXX.YY.ZZ_rom.ima_enc as image file and doesn't upload Signimage key.
	3. login account: 
		a) IPMI access account for WEBGUI and IPMITOOL.
		username: admin
		password: cmb9.admin
	4. Please canceling preserve all configuration before upgrading this version BMC (if FW version is less v4.55.06).
	   Because of this version's BMC upgrade Redfish to 1.5 (i.e. update lots of ipmi lib part for Redfish ), 
	   we suggest canceling preserve all configuration before upgrading this version BMC to avoid unexpected defect occurred.
	5. Not support GPT image file when using the remote image function. 
	6. Please clear browser cache and cookies after finishing upgrades.
	7. Not support BMC FW downgrade with preservation.
	8. Please first update BMC then update BIOS with preserve function if need updates BMC and BIOS with preserve bios settings. 
	
==========================================================================
        S5B serials AST2500(A2) BMC FW Release v4.61.06 (Only for S5Bx/S5Sx)
==========================================================================
Version: 4.61.06
Release Date: 2019.06.06

AMI Subversion Revision: AMI SPX RR11.5
Redfish Version:1.5.0

[Utility]:
1. Yafuflash2 (version 4.16.21_01)
2. MIB version 1.10

[Firmware Images]:
1. s5bxv4.61.06_rom.ima with checksum          :	E8A38A45
2. s5bxv4.61.06_rom.ima with MD5 checksum      :	a6914c93c0197bedc86a4032d97a5671        
3. s5bxv4.61.06_rom.ima_enc with MD5 checksum  :	8aca2b566d9648be61694bdb500e9a7c        

[Fan Table]
Version:
S5Bx:
SKU0~2: v12
SKU3~4: v07
SKU5~7: v07
SKU8~9: v03

[Change/Add]: 
S5Bx:	
	1.remove check BIOS ROM ID, so this version BMC can update BIOS without check ROM ID. 

[Bug Fixed]:
	1. #232208 fixed RAID and SAS controler functions on web GUI/Restful Api.
	2. #282260 fixed Missing FRU Data with Redfish (in /redfish/v1/Chassis/Self).
	3. #282189 FRU data miss in /redfish/v1/Systems/Self 
	4. fixed - BMC Model becomes a serie of digit #s "Model": "1363476280" It should be AST2500
	5. fixed - Redfish LogService Log not sync with BMC immediately.
	
[Known issue]: 
	1. LinkStatus should not turn to "up" and SignalDetected should not turn to "true" after un-plug LAN cable.
	2. GET /redfish/v1/Systems/Self/EthernetInterfaces/[NIC_ID]/VLANs member always empty (have set LAN card VLAN.).

[Notice]:
	1. Update BMC FW via command line:
		Refer to readme.txt
	2. Update BMC FW via Web UI:
		a) Please select s5bxvXX.YY.ZZ_rom.ima_enc as image file and doesn't upload Signimage key.
	3. login account: 
		a) IPMI access account for WEBGUI and IPMITOOL.
		username: admin
		password: cmb9.admin
	4. Please canceling preserve all configuration before upgrading this version BMC (if FW version is less v4.55.06).
	   Because of this version's BMC upgrade Redfish to 1.5 (i.e. update lots of ipmi lib part for Redfish ), 
	   we suggest canceling preserve all configuration before upgrading this version BMC to avoid unexpected defect occurred.
	5. Not support GPT image file when using the remote image function. 
	6. Please clear browser cache and cookies after finishing upgrades.
	7. Not support BMC FW downgrade with preservation.
	8. Please first update BMC then update BIOS with preserve function if need updates BMC and BIOS with preserve bios settings. 

==========================================================================
        S5B serials AST2500(A2) BMC FW Release v4.60.06 (Only for S5Bx/S5Sx)
==========================================================================
Version: 4.60.06
Release Date: 2019.05.22

AMI Subversion Revision: AMI SPX RR11.5
Redfish Version:1.5.0

[Utility]:
1. Yafuflash2 (version 4.16.21_01)
2. MIB version 1.10

[Firmware Images]:
1. s5bxv4.60.06_rom.ima with checksum          :	E901D693
2. s5bxv4.60.06_rom.ima with MD5 checksum      :	bb94cf5ce71c222a7382afde656f15a7      
3. s5bxv4.60.06_rom.ima_enc with MD5 checksum  :	b65219a1762007ed33bd5a590bc53e90      

[Fan Table]
Version:
S5Bx:
SKU0~2: v12
SKU3~4: v07
SKU5~7: v07
SKU8~9: v03

[Change/Add]: 
S5Bx:	
	remove check BIOS ROM ID, so this version BMC can update BIOS without check ROM ID. 
[Bug Fixed]:
	na
[Known issue]: 
	na
[Notice]:
	1. Update BMC FW via command line:
		Refer to readme.txt
	2. Update BMC FW via Web UI:
		a) Please select s5bxvXX.YY.ZZ_rom.ima_enc as image file and doesn't upload Signimage key.
	3. login account: 
		a) IPMI access account for WEBGUI and IPMITOOL.
		username: admin
		password: cmb9.admin
	4. Please canceling preserve all configuration before upgrading this version BMC (if FW version is less v4.55.06).
	   Because of this version's BMC upgrade Redfish to 1.5 (i.e. update lots of ipmi lib part for Redfish ), 
	   we suggest canceling preserve all configuration before upgrading this version BMC to avoid unexpected defect occurred.
	5. Not support GPT image file when using the remote image function. 
	6. Please clear browser cache and cookies after finishing upgrades.
	7. Not support BMC FW downgrade with preservation.
	8. Please first update BMC then update BIOS with preserve function if need updates BMC and BIOS with preserve bios settings. 

==========================================================================
        S5B serials AST2500(A2) BMC FW Release v4.59.06 (Only for S5Bx/S5Sx)
==========================================================================
Version: 4.59.06
Release Date: 2019.05.08

AMI Subversion Revision: AMI SPX RR11.5
Redfish Version:1.5.0

[Utility]:
1. Yafuflash2 (version 4.16.21_01)
2. MIB version 1.10

[Firmware Images]:
1. s5bxv4.59.06_rom.ima with checksum          :	E90473C1
2. s5bxv4.59.06_rom.ima with MD5 checksum      :	b6a0fe21b0283c92a3aaad4c597a0f0c      
3. s5bxv4.59.06_rom.ima_enc with MD5 checksum  :	70bb5616d5e69b0baa3b6503d10ea4f8      

[Fan Table]
Version:
S5Bx:
SKU0~2: v12
SKU3~4: v07
SKU5~7: v07
SKU8~9: v03

[Change/Add]: 
S5Bx:	
	na
[Bug Fixed]:
	1. fix detecting the RAID, SAS controller issue (for now not support to FW7.8).
	2. fix ipmi raw cmd for disable/enable ssh.
	3. fix network auto dhcp fail.
	4. fix redfish update BIOS fail.
[Known issue]: 
	na
[Notice]:
	1. Update BMC FW via command line:
		Refer to readme.txt
	2. Update BMC FW via Web UI:
		a) Please select s5bxvXX.YY.ZZ_rom.ima_enc as image file and doesn't upload Signimage key.
	3. login account: 
		a) IPMI access account for WEBGUI and IPMITOOL.
		username: admin
		password: cmb9.admin
	4. Please canceling preserve all configuration before upgrading this version BMC (if FW version is less v4.55.06).
	   Because of this version's BMC upgrade Redfish to 1.5 (i.e. update lots of ipmi lib part for Redfish ), 
	   we suggest canceling preserve all configuration before upgrading this version BMC to avoid unexpected defect occurred.
	5. Not support GPT image file when using the remote image function. 
	6. Please clear browser cache and cookies after finishing upgrades.
	7. Not support BMC FW downgrade with preservation.
	8. Please first update BMC then update BIOS with preserve function if need updates BMC and BIOS with preserve bios settings. 
	
==========================================================================
        S5B serials AST2500(A2) BMC FW Release v4.58.06 (Only for S5Bx/S5Sx)
==========================================================================
Version: 4.58.06
Release Date: 2019.04.16

AMI Subversion Revision: AMI SPX RR11.5
Redfish Version:1.5.0

[Utility]:
1. Yafuflash2 (version 4.16.21_01)
2. MIB version 1.10

[Firmware Images]:
1. s5bxv4.58.06_rom.ima with checksum          :	F741C03E
2. s5bxv4.58.06_rom.ima with MD5 checksum      :	c191375c2e76ebd24db5ed4a5980308c       
3. s5bxv4.58.06_rom.ima_enc with MD5 checksum  :	7551c969789f7e519ca3d37580069c48        

[Fan Table]
Version:
S5Bx:
SKU0~2: v12
SKU3~4: v07
SKU5~7: v07
SKU8~9: v03

[Change/Add]: 
S5Bx:	
	1. fix BMC sync BIOS time error.
	
[Bug Fixed]:
	na
[Known issue]: 
	na
[Notice]:
	1. Update BMC FW via command line:
		Refer to readme.txt
	2. Update BMC FW via Web UI:
		a) Please select s5bxvXX.YY.ZZ_rom.ima_enc as image file and doesn't upload Signimage key.
	3. login account: 
		a) IPMI access account for WEBGUI and IPMITOOL.
		username: admin
		password: cmb9.admin
	4. Please canceling preserve all configuration before upgrading this version BMC (if FW version is less v4.55.06).
	   Because of this version's BMC upgrade Redfish to 1.5 (i.e. update lots of ipmi lib part for Redfish ), 
	   we suggest canceling preserve all configuration before upgrading this version BMC to avoid unexpected defect occurred.
	5. Not support GPT image file when using the remote image function. 
	6. Please clear browser cache and cookies after finishing upgrades.
	7. Not support BMC FW downgrade with preservation.
	8. Please first update BMC then update BIOS with preserve function if need updates BMC and BIOS with preserve bios settings. 
	
==========================================================================
        S5B serials AST2500(A2) BMC FW Release v4.57.06 (Only for S5Bx/S5Sx)
==========================================================================
Version: 4.57.06
Release Date: 2019.04.12

AMI Subversion Revision: AMI SPX RR11.5
Redfish Version:1.5.0

[Utility]:
1. Yafuflash2 (version 4.16.21_01)
2. MIB version 1.10

[Firmware Images]:
1. s5bxv4.57.06_rom.ima with checksum          :   F4703910
2. s5bxv4.57.06_rom.ima with MD5 checksum      :   ead09bdee4bcb44d9f5f21533712d223      
3. s5bxv4.57.06_rom.ima_enc with MD5 checksum  :   d445b683aec25cd3d640a6772c2707ff      

[Fan Table]
Version:
S5Bx:
SKU0~2: v12
SKU3~4: v07
SKU5~7: v07
SKU8~9: v03

[Change/Add]: 
S5Bx:	
	1. Update Redfish to version 1.5, supported Active Dir, LDAP, Radius login via Redfish command. 
	2. Change WEB GUI Active dir settings
		i.  Supported Domain Group Names with spaces in the BMC GUI.
		ii. Supported user names with the "_" char that can be authenticated against Active Dir.
		iii.All chars are supported on Broadwell for Active Dir "Domain Names" and Active Dir "Domain Group Names" and also  supported on Skylake.
		iv. Support Skylake servers and all future Hitachi models.
	3. Update storelib. Support AVAGO MegaRAID ROMB-QS-3516B to FR 7.8.
	
[Bug Fixed]:
	na
[Known issue]: 
	na
[Notice]:
	1. Update BMC FW via command line:
		Refer to readme.txt
	2. Update BMC FW via Web UI:
		a) Please select s5bxvXX.YY.ZZ_rom.ima_enc as image file and doesn't upload Signimage key.
	3. login account: 
		a) IPMI access account for WEBGUI and IPMITOOL.
		username: admin
		password: cmb9.admin
	4. Please canceling preserve all configuration before upgrading this version BMC (if FW version is less v4.55.06).
	   Because of this version's BMC upgrade Redfish to 1.5 (i.e. update lots of ipmi lib part for Redfish ), 
	   we suggest canceling preserve all configuration before upgrading this version BMC to avoid unexpected defect occurred.
	5. Not support GPT image file when using the remote image function. 
	6. Please clear browser cache and cookies after finishing upgrades.
	7. Not support BMC FW downgrade with preservation.
	8. Please first update BMC then update BIOS with preserve function if need updates BMC and BIOS with preserve bios settings. 
============================================================ WARNING =====================================================================
1. At BMC FW Ver 3.07, change the conf to 4MB, so yafuflash and webui does not support BMC upgrade from previous version to newer than v3.07.
Need use SOCFLASH at another package to upgrade it.
2. Befor version 3.05, yafuflash maybe take long time to start the updating process via In-band.

==========================================================================
        S5B serials AST2500(A2) BMC FW Release v4.56.06 (Only for S5Bx/S5Sx)
==========================================================================
Version: 4.56.06
Release Date: 2019.02.22

AMI Subversion Revision: AMI SPX RR11.5

[Utility]:
1. Yafuflash2 (version 4.16.21_01)
2. MIB version 1.10

[Firmware Images]:
1. s5bxv4.56.06_rom.ima with checksum          :   ED9D84D2
2. s5bxv4.56.06_rom.ima with MD5 checksum      :   38e1dd270b53fb4677ab09e88ccb4584
3. s5bxv4.56.06_rom.ima_enc with MD5 checksum  :   750b553603b524838b042edef88c4b7d

[Fan Table]
Version:
S5Bx:
SKU0~2: v12
SKU3~4: v07
SKU5~7: v07
SKU8~9: v03

[Change/Add]: 
S5Bx:	
na
 
[Bug Fixed]:
1. Web page - 
	i)	BMC Web UI will auto logout after update the same size error checksum BMC image. (track-id:266233)
	ii) The ''Clear Event Logs'' button be hidden on WebUI when login by operator. (track-id:266223)
	iii)The web browser cannot be will go through via https automatically. (track-id:265618)
	iv) Event log record a ''NA'' event. (track-id:265314)
	v)	Lose symbol conflict spec of WebUI/Setting/SSL Settings /Upload SSL Certificate/Help. (track-id:264440)
	vi)	String doesn't match spec of WebUI/Setting/SSL Settings /Upload SSL Certificate/Help. (track-id:264410)
	vii)WebUI display worng message when user enter invalid password on user password setting page.	(track-id:264273)
	viii) word mispelling on LAN destinations page. (track-id:263606)
	ix)	Undo Prepare for Removal buttom pic is different. (track-id:262277)
2. Backend Function - 
	i)	Use command ipmitool lan set 1 ipsrc static to setting BMC IP static is failed. (track-id:265754)
3. Web KVM - 
	i)	KVM (HTML) - sometimes can't install Oracle Linux 7.5 with mounted as CD image from BMC WebUI HTML5 KVM. (track-id:262433)

[Known issue]: 
na

[Notice]:
	1. Update BMC FW via command line:
		Refer to readme.txt
	2. Update BMC FW via Web UI:
		a) Please select s5bxvXX.YY.ZZ_rom.ima_enc as image file and doesn't upload Signimage key.
	3. login account: 
		a) IPMI access account for WEBGUI and IPMITOOL.
		username: admin
		password: cmb9.admin
	4. Please canceling preserve all configuration before upgrading this version BMC (if FW version is less v4.21.06).
	   Because of this version's BMC fixed and add lots of functions (i.e. add some ipmi lib part for Redfish using command to set preserve configuration), 
	   we suggest canceling preserve all configuration before upgrading this version BMC to avoid unexpected defect occurred.
	5. Not support GPT image file when using the remote image function. 
	6. please clear browser cache and cookies after finishing upgrades.
	7. Not support BMC FW downgrade with preservation.
============================================================ WARNING =====================================================================
1. At BMC FW Ver 3.07, change the conf to 4MB, so yafuflash and webui does not support BMC upgrade from previous version to newer than v3.07.
Need use SOCFLASH at another package to upgrade it.
2. Befor version 3.05, yafuflash maybe take long time to start the updating process via In-band.

==========================================================================
        S5B serials AST2500(A2) BMC FW Release v4.28.06 (Only for S5Bx/S5Sx)
==========================================================================
Version: 4.28.06
Release Date: 2018.12.22

AMI Subversion Revision: AMI SPX RR11.5

[Utility]:
1. Yafuflash2 (version 4.16.21_01)

[Firmware Images]:
1. s5bxv4.28.06_rom.ima with checksum          :   F0CD57D7
2. s5bxv4.28.06_rom.ima with MD5 checksum      :   8533eb2417679456c05e7586fdbb9413
3. s5bxv4.28.06_rom.ima_enc with MD5 checksum  :   402680de715cd2df20ff4bcf9e03179d

[Fan Table]
Version:
S5Bx:
SKU0~2: v12
SKU3~4: v07
SKU5~7: v07
SKU8~9: v03

[Change/Add]: 
S5Bx:	
na
 
[Bug Fixed]:
1. SMASH - The SMASH can connect more than 5 session while waiting for the password state.. (track-id:262045)
2. Redfish  - The response of /redfish/v1/TaskService mismatch with Redfish SPEC. (track-id:261793)
4. Redfish - The DID/SSID of PCIe device got from Redfish should be 4 hexadecimal digits.(track-id:257359)
5. Redfish - The Description response of redfish didn't match with Redfish API SPEC v1.04.(track-id:257073)
6. Web page - After press ''Restore Factory Defaults'' button in WebUI , the pop message have incorrect word. (track-id:261358)
7. Web page - After press help button in WebUI system inventory page, the button will disappear and can't close help information. (track-id:261324)
8. Web page - Unable to filter BMC SEL by BMC timezone . (track-id:261273)
9. Web page - WebUI PEF function. (track-id:260946, 260917)
10. Web page - BMC WebUI SNMP can fill special language and save without error and no warning message. (track-id:260594)
11. Web page - Protocol Type should include HTTPS in WebUI/BIOS update page.(track-id:260049)
12. Web page - WEBUI error message content is inconsistent when set invalid value to user password.(track-id:258550)
13. Web page - Waring message typo ''Configuraions''' in WebUI Maintenance Restore Factory Defaults/Restore Configuration.(track-id:258166)
14. Web page - User name of BMC can set '-' and '_' in the suffix.(track-id:257848)
15. Web page - It can NOT sign in BMC WebUI if press ''Enter'' more than 20 times after input Username/Password.(track-id:257832)
16. SPEC -  There are unnecessary sensor items ''CPU0_THMargin'' and''CPU1_THMargin'' in the S5B_BMC FW SPEC. (track-id:259260)
17. SPEC -  The BMC WebUI FRU item name does not match FRU_Naming_rule_version_2.74.xlsx. (track-id:259123)
18. Function - Failed to connect to BMC WEBUI after setting static BMC IP under VLAN environment. (track-id:259157)

[Known issue]: 
na

[Notice]:
	1. Update BMC FW via command line:
		Refer to readme.txt
	2. Update BMC FW via Web UI:
		a) Please select s5bxvXX.YY.ZZ_rom.ima_enc as image file and doesn't upload Signimage key.
	3. login account: 
		a) IPMI access account for WEBGUI and IPMITOOL.
		username: admin
		password: cmb9.admin
	4. Please canceling preserve all configuration before upgrading this version BMC (if FW version is less v4.21.06).
	   Because of this version's BMC fixed and add lots of functions (i.e. add some ipmi lib part for Redfish using command to set preserve configuration), 
	   we suggest canceling preserve all configuration before upgrading this version BMC to avoid unexpected defect occurred.
	5. Not support GPT image file when using the remote image function. 
	6. please clear browser cache and cookies after finishing upgrades.
	7. Not support BMC FW downgrade with preservation.

============================================================ WARNING =====================================================================
1. At BMC FW Ver 3.07, change the conf to 4MB, so yafuflash and webui does not support BMC upgrade from previous version to newer than v3.07.
Need use SOCFLASH at another package to upgrade it.
2. Befor version 3.05, yafuflash maybe take long time to start the updating process via In-band.

==========================================================================
        S5B serials AST2500(A2) BMC FW Release v4.27.06 (Only for S5Bx/S5Sx)
==========================================================================
Version: 4.27.06
Release Date: 2018.11.09

AMI Subversion Revision: AMI SPX RR11.5

[Utility]:
1. Yafuflash2 (version 4.16.21_01)

[Firmware Images]:
1. s5bxv4.27.06_rom.ima with checksum          :   F0D659A4
2. s5bxv4.27.06_rom.ima with MD5 checksum      :   0c766eae3063c384f24c46dcad2e577f
3. s5bxv4.27.06_rom.ima_enc with MD5 checksum  :   94d552937d96e40c204f8f1916e9299c

[Fan Table]
Version:
S5Bx:
SKU0~2: v12
SKU3~4: v07
SKU5~7: v07
SKU8~9: v03

[Change/Add]: 
S5Bx:	
na
 
[Bug Fixed]:
S5Bx:
1. Web page view error - The Help button in System Inventory page cannot be closed. (track-id:256960)
2. Web page view error - It can not be updated the new SSL certificate by refresh BMC WebUI. (track-id:257132)
3. Web page view error - According newest Spec define, Web UI can support User privilege login. (track-id:244824)
4. OpenVas scan Error - There are error found via OpenVas scan. (track-id:247238, 257163)
5. Preserve update Error -  When flashing BMC via redfish with preserve settings, BMC will show "failed to prepare flashing area". (track-id:247238, 257163)

[Known issue]: 
na

[Notice]:
	1. Update BMC FW via command line:
		Refer to readme.txt
	2. Update BMC FW via Web UI:
		a) Please select s5bxvXX.YY.ZZ_rom.ima_enc as image file and doesn't upload Signimage key.
	3. login account: 
		a) IPMI access account for WEBGUI and IPMITOOL.
		username: admin
		password: cmb9.admin
	4. Please canceling preserve all configuration before upgrading this version BMC (if FW version is less v4.21.06).
	   Because of this version's BMC fixed and add lots of functions (i.e. add some ipmi lib part for Redfish using command to set preserve configuration), 
	   we suggest canceling preserve all configuration before upgrading this version BMC to avoid unexpected defect occurred.
	5. Not support GPT image file when using the remote image function. 
	6. please clear browser cache and cookies after finishing upgrades.
	7. Not support BMC FW downgrade with preservation.

==========================================================================
        S5B serials AST2500(A2) BMC FW Release v4.26.06 (Only for S5Bx/S5Sx)
==========================================================================
Version: 4.26.06
Release Date: 2018.10.19

AMI Subversion Revision: AMI SPX RR11.5

[Utility]:
1. Yafuflash2 (version 4.16.21_01)

[Firmware Images]:
1. s5bxv4.26.06_rom.ima with checksum          :   F1B82AF4
2. s5bxv4.26.06_rom.ima with MD5 checksum      :   cc83c550a65bdea8fa2a475ce7f04caa
3. s5bxv4.26.06_rom.ima_enc with MD5 checksum  :   a3dfa0836db44f9cf16cc13ebfa67ac9

[Fan Table]
Version:
S5Bx:
SKU0~2: v12
SKU3~4: v07
SKU5~7: v07
SKU8~9: v03

[Change/Add]: 
S5Bx:	
1. Change set WWNN/WWPN data length (8 bytes change to 136 bytes).
2. Avoid security issue “CVE-2013-4786”. Change webui not sync check ipmi lan access, only check network privilege. 
3. Speed up Media Redirection upload image. Media Redirection upload speed too slow, tune TCP window size to speed up upload image.
 
[Bug Fixed]:
S5Bx:
1. add check point to avoid BMC misjuge and record log 'Processor CPU0 Thermal Sta' during test.
2. WebUI wording error fixed. Add 'space' after disable 'Remote Media Support' and click save.
   According to BMC_FW_DesignStandard, FRU Information item name 'Product Manufacuter' is wrong, it should be 'Manufacturer Name' in WebUI.
3. Remove limit of setting AD's Domain Name. Could not set/save Active Directory by AD's Domain Name remove domain check, can set any domain in this field.
4. WebUI session problem. Sometimes, BMC WebUI show Web session time out after check all option on WebUI. 
5. UC/UNC deasserted events of Temp_GPU# show the reading is 0 degree C in BMC SEL and -1 degree C in SNMP Trap 

[Known issue]: 
na

[Notice]:
	1. Update BMC FW via command line:
		Refer to readme.txt
	2. Update BMC FW via Web UI:
		a) Please select s5bxvXX.YY.ZZ_rom.ima_enc as image file and doesn't upload Signimage key.
	3. login account: 
		a) IPMI access account for WEBGUI and IPMITOOL.
		username: admin
		password: cmb9.admin
	4. Please canceling preserve all configuration before upgrading this version BMC (if FW version is less v4.21.06).
	   Because of this version's BMC fixed and add lots of functions (i.e. add some ipmi lib part for Redfish using command to set preserve configuration), 
	   we suggest canceling preserve all configuration before upgrading this version BMC to avoid unexpected defect occurred.
	5. Not support GPT image file when using the remote image function. 
	6. please clear browser cache and cookies after finishing upgrades.
	7. Not support BMC FW downgrade with preservation.
	
==========================================================================
        S5B serials AST2500(A2) BMC FW Release v4.25.06 (Only for S5Bx/S5Sx)
==========================================================================
Version: 4.25.06
Release Date: 2018.07.31

AMI Subversion Revision: AMI SPX RR11.5

[Utility]:
1. Yafuflash2 (version 4.16.21_01)

[Firmware Images]:
1. s5bxv4.25.06_rom.ima with checksum          : F1B3C0BF
2. s5bxv4.25.06_rom.ima with MD5 checksum      : 145732afe7b15a464af1ee3a7ed7d29c
3. s5bxv4.25.06_rom.ima_enc with MD5 checksum  : 82dde81546fc90fbaba8ee9215528060

[Fan Table]
Version:
S5Bx:
SKU0~2: v12
SKU3~4: v07
SKU5~7: v07
SKU8~9: v03

[Change/Add]: 
S5Bx:	
1. implement GET/SET Processor info param to #3.

[Bug Fixed]:
S5BH:
1. fixed Processor Speed get error.


[Known issue]: 
na

[Notice]:
	1. Update BMC FW via command line:
		Refer to readme.txt
	2. Update BMC FW via Web UI:
		a) Please select s5bxvXX.YY.ZZ_rom.ima_enc as image file and doesn't upload Signimage key.
	3. login account: 
		a) IPMI access account for WEBGUI and IPMITOOL.
		username: admin
		password: cmb9.admin
	4. Please canceling preserve all configuration before upgrading this version BMC (if FW version is less v4.21.06).
	   Because of this version's BMC fixed and add lots of functions (i.e. add some ipmi lib part for Redfish using command to set preserve configuration), 
	   we suggest canceling preserve all configuration before upgrading this version BMC to avoid unexpected defect occurred.
	5. Not support GPT image file when using the remote image function. 
	6. please clear browser cache and cookies after finishing upgrades.
	7. Not support BMC FW downgrade with preservation.
	
==========================================================================
        S5B serials AST2500(A2) BMC FW Release v4.24.06 (Only for S5Bx/S5Sx)
==========================================================================
Version: 4.24.06
Release Date: 2018.07.27

AMI Subversion Revision: AMI SPX RR11.5

[Utility]:
1. Yafuflash2 (version 4.16.21_01)

[Firmware Images]:
1. s5bxv4.24.06_rom.ima with checksum          : F1B55BBD
2. s5bxv4.24.06_rom.ima with MD5 checksum      : 2148393476190200bb41b4d5cbacfc0f
3. s5bxv4.24.06_rom.ima_enc with MD5 checksum  : 81119bbadc2024e48a5cef54adb62e12

[Fan Table]
Version:
S5Bx:
SKU0~2: v12
SKU3~4: v07
SKU5~7: v07
SKU8~9: v03

[Change/Add]: 
S5Bx:	
1. Add check mechanism to repaire S5BH Tiered SKU 01 issue.

[Bug Fixed]:
S5Bx:
1. WebUI display problem.

S5BVH:
1. [241070] Fixed Temp_Outlet will show no reading when ambient lower than 0 degC.
2. [240641] [242498] Fixed sel log can't read from server during SDA/SIT stress test.
3. [241410] Fixed BMC log show 'Processor CPU0 Thermal Sta' during test.

[Known issue]: 
na

[Notice]:
	1. Update BMC FW via command line:
		Refer to readme.txt
	2. Update BMC FW via Web UI:
		a) Please select s5bxvXX.YY.ZZ_rom.ima_enc as image file and doesn't upload Signimage key.
	3. login account: 
		a) IPMI access account for WEBGUI and IPMITOOL.
		username: admin
		password: cmb9.admin
	4. Please canceling preserve all configuration before upgrading this version BMC (if FW version is less v4.21.06).
	   Because of this version's BMC fixed and add lots of functions (i.e. add some ipmi lib part for Redfish using command to set preserve configuration), 
	   we suggest canceling preserve all configuration before upgrading this version BMC to avoid unexpected defect occurred.
	5. Not support GPT image file when using the remote image function. 
	6. please clear browser cache and cookies after finishing upgrades.
	7. Not support BMC FW downgrade with preservation.
	
==========================================================================
        S5B serials AST2500(A2) BMC FW Release v4.23.06 (Only for S5Bx/S5Sx)
==========================================================================
Version: 4.23.06
Release Date: 2018.06.29

AMI Subversion Revision: AMI SPX RR11.5

[Utility]:
1. Yafuflash2 (version 4.16.21_01)

[Firmware Images]:
1. s5bxv4.23.06_rom.ima with checksum          : F1C6FCC9
2. s5bxv4.23.06_rom.ima with MD5 checksum      : 846eec6f1a3990e195021cf836b699a5
3. s5bxv4.23.06_rom.ima_enc with MD5 checksum  : 07f02acafac2d32375b3153df582486e

[Fan Table]
Version:
S5Bx:
SKU0~2: v12
SKU3~4: v07
SKU5~7: v07
SKU8~9: v03

[Change/Add]: 
S5Bx:	
1. Add Redfish FirmwareBuildTime.
2. Remove force change password on first login after upgrading BMC.

[Bug Fixed]:
S5Bx:
1. WebUI display problem.
2. Media Redirection bugs fixed.
3. Redfish bugs fixed.

S5BVH:
1. [241928] Fixed check failed on BMC Version and Check failed on SMBiosTable in QuickHWCheck result log.
2. [241898] Fixed SMASH time out immediately after print 'show /system' result.
3. [241410] Fixed BMC log show 'Processor CPU0 Thermal Sta' during test.
4. [240396] Workaround functions, unable to deploy OS (CentOS & RHEL) via the remote KVM (HTML or JAVA) on S5T and S5BQ 

[Known issue]: 
na

[Notice]:
	1. Update BMC FW via command line:
		Refer to readme.txt
	2. Update BMC FW via Web UI:
		a) Please select s5bxvXX.YY.ZZ_rom.ima_enc as image file and doesn't upload Signimage key.
	3. login account: 
		a) IPMI access account for WEBGUI and IPMITOOL.
		username: admin
		password: cmb9.admin
	4. Please canceling preserve all configuration before upgrading this version BMC (if FW version is less v4.21.06).
	   Because of this version's BMC fixed and add lots of functions (i.e. add some ipmi lib part for Redfish using command to set preserve configuration), 
	   we suggest canceling preserve all configuration before upgrading this version BMC to avoid unexpected defect occurred.
	5. Not support GPT image file when using the remote image function. 
	6. please clear browser cache and cookies after finishing upgrades.
	7. Not support BMC FW downgrade with preservation.
	
==========================================================================
        S5B serials AST2500(A2) BMC FW Release v4.22.06
==========================================================================
Version: 4.22.06
Release Date: 2018.05.25

AMI Subversion Revision: AMI SPX RR11.5

[Utility]:
1. Yafuflash2 (version 4.16.21_01)

[Firmware Images]:
1. s5bxv4.22.06_rom.ima with checksum          : F1E5ACDD
2. s5bxv4.22.06_rom.ima with MD5 checksum      : 0ccb4b204b4b6718ccb6ed2ef807447e
3. s5bxv4.22.06_rom.ima_enc with MD5 checksum  : aa1b7f02abace34642dcbe5a12a02d62

[Fan Table]
Version:
S5Bx:
SKU0~2: v12
SKU3~4: v07
SKU5~7: v07
SKU8~9: v03

[Change/Add]: 
S5Bx:
1. [Add] Redfish user privilege.
2. [Add] FRU reading event.
3. [Change] Change PSU event.
4. [Change] Removed SMI support.
5. [Change] The time for IP source changed.
6. [Change] Virtual Media performance.
7. [Add] Fan will full speed when SKU error.
8. [Change] Remove “prevent PSU power on”
9. [Add] The expired date of certificate cannot less than 1 year.
10.[Add] Not support BMC FW downgrade with preservation.
11.[Change] Change minimum password length.
12.[Change] BMC ready time to 150 seconds.
13.[Change] Update Privilege “Clear SEL”

[Bug Fixed]:
S5Bx:
1. WebUI display problem.
2. BMC WebUI with Preserve BIOS NVRAM Region fail.
3. Fixed SNMP community.
4. Fixed RKVM features.

[Known issue]: 
na

[Notice]:
	1. Update BMC FW via command line:
		Refer to readme.txt
	2. Update BMC FW via Web UI:
		a) Please select s5bxvXX.YY.ZZ_rom.ima_enc as image file and doesn't upload Signimage key.
	3. login account: 
		a) IPMI access account for WEBGUI and IPMITOOL.
		username: admin
		password: cmb9.admin
		b) Force change password on first login after upgrading BMC.
	4. Please canceling preserve all configuration before upgrading this version BMC (if FW version is less v4.21.06).
	   Because of this version's BMC fixed and add lots of functions (i.e. add some ipmi lib part for Redfish using command to set preserve configuration), 
	   we suggest canceling preserve all configuration before upgrading this version BMC to avoid unexpected defect occurred.
	5. Not support GPT image file when using the remote image function. 
	6. please clear browser cache and cookies after finishing upgrades.
	7. Not support BMC FW downgrade with preservation.
	
==========================================================================
        S5B/S5S serials AST2500(A2) BMC FW Release v3.88.06
==========================================================================
Version: 3.88.06 
Release Date: 2018.05.02

AMI Subversion Revision: AMI SPX RR11.5
Redfish Revision:DTMF 1.2

[Utility]:
1. Yafuflash2 (version 4.16.21)

[Firmware Images]:
1. s5bxv3.88.06_rom.ima with checksum          : F30D8F0A
2. s5bxv3.88.06_rom.ima with MD5 checksum      : e59b422eab7b0cbdb0b042fd09dbcea8
3. s5bxv3.88.06_rom.ima_enc with MD5 checksum  : 44cf006fe51ae84487372c92482c56a0

[Fan Table]
Version:
S5Bx:
SKU0~2: v12
SKU3~4: v07
SKU5~7: v07
SKU8~9: v03

[Change/Add]: 
S5Bx/S5Sx:	
N/A
[Bug Fixed]:
S5Bx/S5Sx:
N/A

[Known issue]: 
N/A
[Notice]:
	1. Update BMC FW via command line:
		Refer to readme.txt
	2. Update BMC FW via Web UI:
		a) Please select s5bxvXX.YY.ZZ_rom.ima_enc as image file and doesn't upload Signimage key.
	3. login account: 
		a) IPMI access account for WEBGUI and IPMITOOL.
		username: admin
		password: cmb9.admin 